package com.nbclass.szxgl.mapper;

import java.util.List;
import java.util.Map;

import com.nbclass.szxgl.model.QywxUser;
import com.nbclass.util.MyMapper;
import org.apache.ibatis.annotations.Param;

public interface QywxUserMapper extends MyMapper<QywxUser> {
	
	
	List<Map<String, Object>> findByUserId(String userId);
	
	List<Map<String, Object>> findAllByDepartment(String depId);
	
	List<Map<String, Object>> findByDepartment(String depId);
	
	List<Map<String, Object>> findSuperiorLeadersByDepartment(String depId);

	/**
	 * 通过用户id查出用户姓名和头像
	 * @param userIds
	 * @return
	 */
	List<Map<String, Object>> getUserInfoByUserIds(@Param("userIds") List<String> userIds);

}